Bug 1245542 - quota/marker: errors in log file 'Failed to get metadata for'
Summary: quota/marker: errors in log file 'Failed to get metadata for'
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: quota
Version: rhgs-3.1
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: RHGS 3.1.1
Assignee: Vijaikumar Mallikarjuna
QA Contact: SATHEESARAN
URL:
Whiteboard:
Depends On:
Blocks: 1245544 1248962 1251815
TreeView+ depends on / blocked
 
Reported: 2015-07-22 09:17 UTC by Vijaikumar Mallikarjuna
Modified: 2016-09-17 12:37 UTC (History)
8 users (show)

Fixed In Version: glusterfs-3.7.1-12
Doc Type: Bug Fix
Doc Text:
Previously, if unlink was performed while the update transaction was still in progress, then it logged an error, which was due to ENOENT. Now, ENOENT errors are not logged.
Clone Of:
: 1245544 (view as bug list)
Environment:
Last Closed: 2015-10-05 07:13:13 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:1845 0 normal SHIPPED_LIVE Moderate: Red Hat Gluster Storage 3.1 update 2015-10-05 11:06:22 UTC

Description Vijaikumar Mallikarjuna 2015-07-22 09:17:45 UTC
With the regression testcase 'tests/bugs/posix/bug-990028.t' below error are seen in the log:

[2015-07-22 09:15:06.469846] E [marker-quota.c:2527:mq_get_metadata] (--> /usr/local/lib/libglusterfs.so.0(_gf_log_callingfn+0x1b6)[0x7f0fc7015446] (--> /usr/local/lib/glusterfs/3.8dev/xlator/features/marker.so(mq_get_metadata+0x15a)[0x7f0fb717b88a] (--> /usr/local/lib/glusterfs/3.8dev/xlator/features/marker.so(mq_get_delta+0x8c)[0x7f0fb717ba3c] (--> /usr/local/lib/glusterfs/3.8dev/xlator/features/marker.so(mq_start_quota_txn_v2+0x171)[0x7f0fb717cb11] (--> /usr/local/lib/glusterfs/3.8dev/xlator/features/marker.so(mq_initiate_quota_task+0x81)[0x7f0fb717cf91] ))))) 0-patchy-marker: Failed to get metadata for /dir3



If unlink performed while the update txn is still in progress, then getxattr throws this error as the file is delete.
We need to ignore any errors from ENOENT/ESTALE

Document URL: 

Section Number and Name: 

Describe the issue: 

Suggestions for improvement: 

Additional information: 


Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 5 SATHEESARAN 2015-08-26 14:19:09 UTC
Tested with glusterfs-3.7.1-12.el7rhgs with the following steps

1. Created distribute volume and started it
2. Enabled quota on the volume
3. Set the limit on the volume
4. Fuse mount the volume
5. Continuously create and delete files from the mount point

No marker related errors are seen in brick logs, but different error messages are seen in the brick logs and I have raised a separate bug BZ 1257209 for the issue

Comment 7 errata-xmlrpc 2015-10-05 07:13:13 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-1845.html


Note You need to log in before you can comment on or make changes to this bug.